/*
 * @(#)BMStringMatch.cs        1.0 12/26/2007
 * 
 * Copyright (c) 2007 Senamirmir Project. All Rights Reserved.
 *
 * This file is part of Software: WashRa 4.0
 *
 * WashRa 4.0 is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * WashRa is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

using System;
using System.Collections.Generic;
using System.Text;

namespace washra {
   class BMStringMatch {
      static int MAXCHARS = 1000;

      /**
       * Performs a string matching and returns index
       * @param text the decomunet where the pattern will be searched
       * @param pattern a key
       */
      public static int search(StringBuilder text, String pattern, int startIndex) {

         int n = text.Length;  ///   -1; 			    // 2 ;
         int m = pattern.Length - 1; 			 // 2 ;
         int[] skip = new int[MAXCHARS];

         // initialization of array from 0 to 1000
         for (int i = 0; i < MAXCHARS; i++)
            skip[i] = m + 1;

         // initialization of array for pattern string
         for (int i = 0; i <= m; i++)
            skip[pattern[i]] = m - i;

         // now process and determine the result
         int tr = 0, pr = 0, tc = 0;

         // performs the matche
         try {
            for (tr = m; tr < n; tr += skip[text[tr]]) {
               for (pr = m, tc = tr; ((pr >= 0) && (pattern[pr] == text[tc])); pr--, tc--)
                  tr++;

               if (pr == -1)
                  return (++tc);
            }
         } catch (Exception msg) {
            Console.WriteLine("BMStringMatch: " + msg);
         }
         return -1;
      }

      /**
       * Performs a string matching and returns index
       * @param text the decomunet where the pattern will be searched
       * @param pattern a key
       */
      public static int search(StringBuilder text, String pattern, int startIndex, int endIndex) {

         int n = text.Length;  
         int m = pattern.Length - 1;
         int[] skip = new int[MAXCHARS];

         // initialization of array from 0 to 1000
         for (int i = 0; i < MAXCHARS; i++)
            skip[i] = m + 1;

         // initialization of array for pattern string
         for (int i = 0; i <= m; i++)
            skip[pattern[i]] = m - i;

         // now process and determine the result
         int tr = 0, pr = 0, tc = 0;

         // performs the matche
         try {
            for (tr = m; tr < endIndex; tr += skip[text[tr]]) {
               for (pr = m, tc = tr; ((pr >= 0) && (pattern[pr] == text[tc])); pr--, tc--)
                  tr++;

               if (pr == -1)
                  return (++tc);
            }
         } catch (Exception msg) {
            Console.WriteLine("BMStringMatch: " + msg);
         }
         return -1;
      }
   }
}
