/*
 * @(#)ESIConversionTable.cs        1.0 12/26/2007
 * 
 * Copyright (c) 2007 Senamirmir Project. All Rights Reserved.
 *
 * This file is part of Software: WashRa 4.0
 *
 * WashRa 4.0 is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * WashRa is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

class ESIConversionTable {
    public static string [,]table = new string[,] {
       {"\"", "\\u4965"},
       {"'", "\\u4962"},
       {":", "\\u4963"},
       {";", "\\u4964"},
       {"<", "\\u171"},
       {">", "\\u187"},
       {"A", "\\u4608"},
       {"B", "\\u4609"},
       {"C", "\\u4610"},
       {"D", "\\u4611"},
       {"E", "\\u4612"},
       {"F", "\\u4613"},
       {"G", "\\u4614"},
       {"H", "\\u4616"},
       {"I", "\\u4617"},
       {"J", "\\u4618"},
       {"K", "\\u4619"},
       {"L", "\\u4620"},
       {"M", "\\u4621"},
       {"N", "\\u4622"},
       {"O", "\\u4632"},
       {"P", "\\u4633"},
       {"Q", "\\u4634"},
       {"R", "\\u4635"},
       {"S", "\\u4636"},
       {"T", "\\u4637"},
       {"U", "\\u4638"},
       {"V", "\\u4648"},
       {"W", "\\u4649"},
       {"X", "\\u4650"},
       {"Y", "\\u4651"},
       {"Z", "\\u4652"},
       {"[", "\\u4730"},
       {"]", "\\u4732"},
       {"^", "\\u4733"},
       {"_", "\\u4825"},
       {"`", "\\u4733"},
       {"a", "\\u4653"},
       {"b", "\\u4654"},
       {"c", "\\u4656"},
       {"d", "\\u4657"},
       {"e", "\\u4658"},
       {"f", "\\u4659"},
       {"g", "\\u4660"},
       {"h", "\\u4661"},
       {"i", "\\u4662"},
       {"j", "\\u4664"},
       {"k", "\\u4665"},
       {"l", "\\u4666"},
       {"m", "\\u4667"},
       {"n", "\\u4668"},
       {"o", "\\u4669"},
       {"p", "\\u4670"},
       {"q", "\\u4672"},
       {"r", "\\u4673"},
       {"s", "\\u4674"},
       {"t", "\\u4675"},
       {"u", "\\u4676"},
       {"v", "\\u4677"},
       {"w", "\\u4678"},
       {"x", "\\u4704"},
       {"y", "\\u4705"},
       {"z", "\\u4706"},
       {"|", "\\u4707"},
       {"~", "\\u4781"},
       {"\\'80", "\\u4708"},
       {"\\'82", "\\u4709"},
       {"\\'83", "\\u4710"},
       {"\\'84", "\\u4720"},
       {"\\'85", "\\u4721"},
       {"\\'86", "\\u4722"},
       {"\\'87", "\\u4723"},
       {"\\'88", "\\u4724"},
       {"\\'89", "\\u4725"},
       {"\\'8a", "\\u4726"},
       {"\\'8b", "\\u4728"},
       {"\\'8c", "\\u4729"},
       {"\\'8e", "\\u4731"},
       {"\\lquote", "\\u4734"},
       {"\\rquote", "\\u4752"},
       {"\\'92", "\\u4752"},
       {"\\'93", "\\u4753"},
       {"\\'94", "\\u4754"},
       {"\\bullet", "\\u4755"},
       {"\\endash", "\\u4756"},
       {"\\emdash", "\\u4757"},
       {"\\'98", "\\u4758"},
       {"\\'99", "\\u4760"},
       {"\\'9a", "\\u4761"},
       {"\\'9b", "\\u4762"},
       {"\\'9c", "\\u4763"},
       {"\\'9e", "\\u4765"},
       {"\\'9f", "\\u4766"},
       {"\\'a1", "\\u4768"},
       {"\\'a2", "\\u4769"},
       {"\\'a3", "\\u4770"},
       {"\\'a4", "\\u4771"},
       {"\\'a5", "\\u4772"},
       {"\\'a6", "\\u4773"},
       {"\\'a7", "\\u4774"},
       {"\\'a8", "\\u4776"},
       {"\\'a9", "\\u4777"},
       {"\\'aa", "\\u4778"},
       {"\\'ab", "\\u4779"},
       {"\\'ac", "\\u4780"},
       {"\\'ad", "\\u4781"},
       {"\\'ae", "\\u4782"},
       {"\\'af", "\\u4808"},
       {"\\'b0", "\\u4809"},
       {"\\'b1", "\\u4810"},
       {"\\'b2", "\\u4811"},
       {"\\'b3", "\\u4812"},
       {"\\'b4", "\\u4813"},
       {"\\'b5", "\\u4814"},
       {"\\'b6", "\\u4824"},
       {"\\'b7", "\\u4825"},
       {"\\'b8", "\\u4826"},
       {"\\'b9", "\\u4827"},
       {"\\'ba", "\\u4828"},
       {"\\'bb", "\\u4829"},
       {"\\'bc", "\\u4830"},
       {"\\'bd", "\\u4840"},
       {"\\'be", "\\u4841"},
       {"\\'bf", "\\u4842"},
       {"\\'c0", "\\u4843"},
       {"\\'c1", "\\u4844"},
       {"\\'c2", "\\u4845"},
       {"\\'c3", "\\u4846"},
       {"\\'c4", "\\u4848"},
       {"\\'c5", "\\u4849"},
       {"\\'c6", "\\u4850"},
       {"\\'c7", "\\u4851"},
       {"\\'c8", "\\u4852"},
       {"\\'c9", "\\u4853"},
       {"\\'ca", "\\u4854"},
       {"\\'cb", "\\u4864"},
       {"\\'cc", "\\u4865"},
       {"\\'cd", "\\u4866"},
       {"\\'ce", "\\u4867"},
       {"\\'cf", "\\u4868"},
       {"\\'d0", "\\u4869"},
       {"\\'d1", "\\u4870"},
       {"\\'d2", "\\u4872"},
       {"\\'d3", "\\u4873"},
       {"\\'d4", "\\u4874"},
       {"\\'d5", "\\u4875"},
       {"\\'d6", "\\u4876"},
       {"\\'d7", "\\u4877"},
       {"\\'d8", "\\u4878"},
       {"\\'d9", "\\u4896"},
       {"\\'da", "\\u4897"},
       {"\\'db", "\\u4898"},
       {"\\'dc", "\\u4899"},
       {"\\'dd", "\\u4900"},
       {"\\'de", "\\u4901"},
       {"\\'df", "\\u4902"},
       {"\\'e0", "\\u4904"},
       {"\\'e1", "\\u4905"},
       {"\\'e2", "\\u4906"},
       {"\\'e3", "\\u4907"},
       {"\\'e4", "\\u4908"},
       {"\\'e5", "\\u4909"},
       {"\\'e6", "\\u4910"},
       {"\\'e7", "\\u4920"},
       {"\\'e8", "\\u4921"},
       {"\\'e9", "\\u4922"},
       {"\\'ea", "\\u4923"},
       {"\\'eb", "\\u4924"},
       {"\\'ec", "\\u4925"},
       {"\\'ed", "\\u4926"},
       {"\\'ee", "\\u4936"},
       {"\\'ef", "\\u4937"},
       {"\\'f0", "\\u4938"},
       {"\\'f1", "\\u4939"},
       {"\\'f2", "\\u4940"},
       {"\\'f3", "\\u4941"},
       {"\\'f4", "\\u4942"},
       {"\\'f5", "\\u4944"},
       {"\\'f6", "\\u4945"},
       {"\\'f7", "\\u4946"},
       {"\\'f8", "\\u4947"},
       {"\\'f9", "\\u4948"},
       {"\\'fa", "\\u4949"},
       {"\\'fb", "\\u4950"},
       {"\\'fc", "\\u4792"},
       {"\\'fd", "\\u4917"},
       {"\\'fe", "\\u4764"},
       {"\\'ff", "\\u4825"},
   } ;
}
