/*
 * @(#)ESIIConversionTable.cs        1.0 12/26/2007
 * 
 * Copyright (c) 2007 Senamirmir Project. All Rights Reserved.
 *
 * This file is part of Software: WashRa 4.0
 *
 * WashRa 4.0 is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * WashRa is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */
class ESIIConversionTable {
    public static string [,]table = new string[,] {
       {"\"", "\\u4961"},
       {"0", "\\u4988"},
       {"1", "\\u4969"},
       {"2", "\\u4970"},
       {"3", "\\u4971"},
       {"4", "\\u4972"},
       {"5", "\\u4973"},
       {"6", "\\u4974"},
       {"7", "\\u4975"},
       {"8", "\\u4976"},
       {"9", "\\u4977"},
       {":", "\\u4967"},
       {";", "\\u4982"},
       {"A", "\\u4624"},
       {"B", "\\u4625"},
       {"C", "\\u4626"},
       {"D", "\\u4627"},
       {"E", "\\u4628"},
       {"F", "\\u4629"},
       {"G", "\\u4630"},
       {"H", "\\u4978"},
       {"I", "\\u4979"},
       {"J", "\\u4980"},
       {"K", "\\u4981"},
       {"L", "\\u4982"},
       {"M", "\\u4983"},
       {"N", "\\u4984"},
       {"O", "\\u4985"},
       {"P", "\\u4986"},
       {"Q", "\\u4987"},
       {"R", "\\u4988"},
       {"c", "\\u4640"},
       {"d", "\\u4641"},
       {"e", "\\u4642"},
       {"f", "\\u4643"},
       {"g", "\\u4644"},
       {"h", "\\u4645"},
       {"i", "\\u4646"},
       {"q", "\\u4688"},
       {"r", "\\u4689"},
       {"s", "\\u4690"},
       {"t", "\\u4691"},
       {"u", "\\u4692"},
       {"v", "\\u4693"},
       {"w", "\\u4694"},
       {"x", "\\u4712"},
       {"y", "\\u4713"},
       {"z", "\\u4714"},
       {"|", "\\u4715"},
       {"~", "\\u4797"},
       {"\\'80", "\\u4716"},
       {"\\'82", "\\u4717"},
       {"\\'83", "\\u4718"},
       {"\\'84", "\\u4736"},
       {"\\'85", "\\u4737"},
       {"\\'86", "\\u4738"},
       {"\\'87", "\\u4739"},
       {"\\'88", "\\u4740"},
       {"\\'89", "\\u4741"},
       {"\\'8a", "\\u4742"},
       {"\\'8b", "\\u4623"},
       {"\\'8c", "\\u4639"},
       {"\\'8e", "\\u4655"},
       {"\\lquote", "\\u4663"},
       {"\\rquote", "\\u4671"},
       {"\\'93", "\\u4711"},
       {"\\'94", "\\u4727"},
       {"\\bullet", "\\u4735"},
       {"\\endash", "\\u4759"},
       {"\\emdash", "\\u4767"},
       {"\\'98", "\\u4775"},
       {"\\'99", "\\u4831"},
       {"\\'9a", "\\u4839"},
       {"\\'9b", "\\u4855"},
       {"\\'9c", "\\u4863"},
       {"\\'9e", "\\u4919"},
       {"\\'9f", "\\u4903"},
       {"\\'a1", "\\u4816"},
       {"\\'a2", "\\u4817"},
       {"\\'a3", "\\u4818"},
       {"\\'a4", "\\u4819"},
       {"\\'a5", "\\u4820"},
       {"\\'a6", "\\u4821"},
       {"\\'a7", "\\u4822"},
       {"\\'a8", "\\u4792"},
       {"\\'a9", "\\u4793"},
       {"\\'aa", "\\u4794"},
       {"\\'ab", "\\u4795"},
       {"\\'ac", "\\u4796"},
       {"\\'ad", "\\u4797"},
       {"\\'ae", "\\u4798"},
       {"\\'af", "\\u4911"},
       {"\\'b0", "\\u4927"},
       {"\\'b1", "\\u4943"},
       {"\\'b6", "\\u4832"},
       {"\\'b7", "\\u4833"},
       {"\\'b8", "\\u4834"},
       {"\\'b9", "\\u4835"},
       {"\\'ba", "\\u4836"},
       {"\\'bb", "\\u4837"},
       {"\\'bc", "\\u4838"},
       {"\\'c4", "\\u4856"},
       {"\\'c5", "\\u4857"},
       {"\\'c6", "\\u4858"},
       {"\\'c7", "\\u4859"},
       {"\\'c8", "\\u4860"},
       {"\\'c9", "\\u4861"},
       {"\\'ca", "\\u4862"},
       {"\\'cb", "\\u4784"},
       {"\\'cc", "\\u4786"},
       {"\\'cd", "\\u4787"},
       {"\\'ce", "\\u4788"},
       {"\\'cf", "\\u4789"},
       {"\\'d0", "\\u4880"},
       {"\\'d1", "\\u4882"},
       {"\\'d2", "\\u4883"},
       {"\\'d3", "\\u4884"},
       {"\\'d4", "\\u4885"},
       {"\\'d5", "\\u4680"},
       {"\\'d6", "\\u4682"},
       {"\\'d7", "\\u4683"},
       {"\\'d8", "\\u4684"},
       {"\\'d9", "\\u4685"},
       {"\\'da", "\\u4696"},
       {"\\'db", "\\u4698"},
       {"\\'dc", "\\u4699"},
       {"\\'dd", "\\u4700"},
       {"\\'de", "\\u4701"},
       {"\\'df", "\\u4744"},
       {"\\'e0", "\\u4746"},
       {"\\'e1", "\\u4747"},
       {"\\'e2", "\\u4748"},
       {"\\'e3", "\\u4749"},
       {"\\'e7", "\\u4928"},
       {"\\'e8", "\\u4929"},
       {"\\'e9", "\\u4930"},
       {"\\'ea", "\\u4931"},
       {"\\'eb", "\\u4932"},
       {"\\'ec", "\\u4933"},
       {"\\'ed", "\\u4934"},
       {"\\'ee", "\\u4888"},
       {"\\'ef", "\\u4889"},
       {"\\'f0", "\\u4890"},
       {"\\'f1", "\\u4891"},
       {"\\'f2", "\\u4892"},
       {"\\'f3", "\\u4893"},
       {"\\'f4", "\\u4894"},
       {"\\'f5", "\\u4912"},
       {"\\'f6", "\\u4913"},
       {"\\'f7", "\\u4914"},
       {"\\'f8", "\\u4915"},
       {"\\'f9", "\\u4916"},
       {"\\'fa", "\\u4917"},
       {"\\'fb", "\\u4918"},
   } ;
}
